{
  pkgs,
  src,
  python3Packages,
  ...
}:
let
  inherit (python3Packages) gguf numpy pyyaml;
in
pkgs.stdenvNoCC.mkDerivation {
  pname = "comfyui-gguf";
  version = "dev-${builtins.toString src.lastModified}";
  inherit src;
  propagatedBuildInputs = [
    gguf
    numpy
    pyyaml
  ];
  installPhase = ''
    mkdir -p $out
    cp -r * $out/
  '';
}
